clear

set more off


insheet using Data\SNL\Expenses.csv

gen count=_n

drop if count==1

drop count

rename v1 compname
rename v4 state

rename v5 claimcae2011 
rename v6 claimcae2010
rename v7 claimcae2009 
rename v8 claimcae2008
rename v9 claimcae2007 
rename v10 claimcae2006
rename v11 claimcae2005 
rename v12 claimcae2004


rename v13 adm2011 
rename v14 adm2010
rename v15 adm2009 
rename v16 adm2008
rename v17 adm2007 
rename v18 adm2006
rename v19 adm2005 
rename v20 adm2004

foreach var of varlist claimcae2011-adm2004 {

destring `var', replace force ignore (",") 

}



drop v2 v3

*** sum obs that belong to same insurer

bysort compname state: gen count=_n

sort compname state

*foreach var of varlist claimcae2011-adm2004 {

*replace `var'=`var'+`var'[_n+1] if compname==compname[_n+1] & state==state[_n+1]

*}


collapse (sum) claimcae2011-adm2004, by(compname state)


reshape long claimcae adm, i(compname state) j(year)


sort compname state year


save Data\SNL\expenses.dta, replace

clear


use  Data\SNL\data.dta

sort compname state year

merge compname state year using Data\SNL\expenses.dta


*** what happened to CA, PR okay, 8 insurers in MI

keep if _merge!=2


drop _merge


save Data\SNL\datasnl.dta, replace








  
