******************************************
***** Link them together
************************************


clear

set more off

use Data\SNL\2004a.dta 

gen year=2004



gen count=_n

drop if count>0

drop count

save Data\SNL\data.dta, replace

clear


foreach y of numlist 2004/2011 {

local letters "a b c d e f g h i j k l m"

foreach let of local letters {

clear

local datayear="Data\SNL\"+"`y'"+"`let'"


use `datayear'.dta

gen year=`y'

append using Data\SNL\data.dta

save Data\SNL\data.dta, replace

*** wait one second to save properly because of dropbox 

sleep 1000

}


}

**** add variable names 

rename v1 compname
rename v4 state

rename var5 tot_enr_grp
rename var6 tot_enr_ind

rename var7 mem_mo_grp 
rename var8 mem_mo_ind

rename var9 mem_phy_enc_grp 
rename var10 mem_phy_enc_ind

rename var11 mem_nonphy_enc_grp 
rename var12 mem_nonphy_enc_ind

rename var13 mem_amb_enc_grp 
rename var14 mem_amb_enc_ind

rename var15 mem_hosp_days_grp 
rename var16 mem_hosp_days_ind

rename var17 inp_adm_grp 
rename var18 inp_adm_ind

rename var19 direct_prem_grp 
rename var20 direct_prem_ind

rename var21 health_life_prem_grp 
rename var22 health_life_prem_ind

rename var23 health_state_prem_grp 
rename var24 health_state_prem_ind

rename var25 health_state_prem_earn1_grp 
rename var26 health_state_prem_earn1_ind

rename var27 health_state_prem_earn2_grp 
rename var28 health_state_prem_earn2_ind

rename var29 prov_health_serv_paid_grp 
rename var30 prov_health_serv_paid_ind

rename var31 prov_health_serv_incur_grp 
rename var32 prov_health_serv_incur_ind

rename var33 direct_prem_over_total_grp 
rename var34 direct_prem_over_total_ind

rename var35 direct_prem_over_indtotal_grp 
rename var36 direct_prem_over_indtotal_ind


save Data\SNL\data.dta, replace






 
